Create an Authorization Code credential offer
Roles
Analytics Events
/v1/openid/offersReturns an OpenID4VCI credential offer URI. See https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#section-10.1
This offer can be used more than once, and can be shared with multiple users. Each user will authenticate independently during the credential issuance workflow, allowing the same offer URI to issue credentials with different user-specific data to multiple holders.
Analytic events
- OPENID_OFFER_CREATE_START
- OPENID_OFFER_CREATE_SUCCESS
- OPENID_OFFER_CREATE_FAIL
Authorization
bearerAuthOpenIdCredentials In: header
Request Body
application/json
Response Body
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/openid/offers" \ -H "Content-Type: application/json" \ -d '{ "credentials": [ "707e920a-f342-443b-ae24-6946b7b5033e" ] }'{
"uri": "openid-credential-offer://?credential_offer=%7B%22credential_issuer%22%3A%22https%3A%2F%2Fmyissuer.example.com%22%2C%22credentials%22%3A%5B%22707e920a-f342-443b-ae24-6946b7b5033e%22%5D%2C%22credential_configuration_ids%22%3A%5B%22707e920a-f342-443b-ae24-6946b7b5033e%22%5D%2C%22request_parameters%22%3A%7B%22login_hint%22%3A%22user%40example.com%22%2C%22prompt%22%3A%22login%22%7D%7D"
}How would you rate this page?
Delete an mDocs configuration DELETE
Deletes an existing mDocs configuration by providing its ID. ### **Analytic events** * MOBILE_CREDENTIAL_CONFIGURATION_DELETE_START * MOBILE_CREDENTIAL_CONFIGURATION_DELETE_SUCCESS * MOBILE_CREDENTIAL_CONFIGURATION_DELETE_FAIL
Create a Pre-Authorized Code credential offer POST
Generate a new [OpenID4VCI Pre-Authorized Code](https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#section-4.1) credential offer. This offer can only be used once. Once the offer is successfully claimed and the credential is issued, the pre-authorized code is consumed and the offer becomes invalid. The offer cannot be claimed again, even if the same user attempts to claim it. This is a security measure to prevent unauthorized credential duplication. If you need to issue another credential to the same user, you must generate a new credential offer. <Callout> The Pre-authorized Code flow is only supported for the mDocs credential format. </Callout> ### **Analytic events** * OPENID_PRE_AUTHORIZED_OFFER_CREATE_START * OPENID_PRE_AUTHORIZED_OFFER_CREATE_SUCCESS * OPENID_PRE_AUTHORIZED_OFFER_CREATE_FAIL